## anta database-0.1.5

=== book/requirements.txt ===
jupyter-book
anta_database

## anta 1.0.0

=== debian/changelog ===
anta (1.0.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.0.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 17 Jun 2024 11:02:19 +0200

anta (0.15.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.15.0.
  * Removing manual depends to python3-aioeapi.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 23 May 2024 07:06:57 +0200

anta (0.14.0-2) sid; urgency=medium

  * Uploading to sid.
  * Adding additionally required python modules to depends.
  * Using codename in changelog instead of suitename.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 21 Apr 2024 21:58:31 +0200

anta (0.14.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.14.0.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 14 Apr 2024 10:36:52 +0200

anta (0.13.0-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 28 Mar 2024 07:12:32 +0100

=== debian/control ===
Source: anta
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://www.anta.ninja
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/anta
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/anta

Package: python3-anta
Section: python
Architecture: all
Depends:
 python3-pydantic-extra-types,
 ${misc:Depends},
 ${python3:Depends},
Description: Arista Network Test Automation (ANTA) Framework
 ANTA is Python framework that automates tests for Arista network devices.
 .
 It provides a set of tests to validate the state of your network and can used to:
 .
   * Automate NRFU (Network Ready For Use) test on a preproduction network
   * Automate tests on a live network (periodically or on demand)
 .
 ANTA can be used with the ANTA CLI or as a Python library in your own
 application.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/anta-$1\.tar\.gz/ \
https://github.com/arista-netdevops-community/anta/tags .*/v?(\d\S+)\.tar\.gz

## anta 1.1.0

=== debian/changelog ===
anta (1.1.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.1.0.
  * Updating homepage field.
  * Updating github urls to new project home.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 15 Oct 2024 22:33:34 +0200

## anta 1.2.0

=== debian/changelog ===
anta (1.2.0-2) sid; urgency=medium

  * Updating vcs fields.
  * Trimming debian changelog.
  * Updating email address.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Feb 2025 15:48:27 +0100

anta (1.2.0-1) sid; urgency=medium

  * Merging upstream version 1.2.0.
  * Updating source url in copyright.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jan 2025 11:18:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: anta
 Section: python
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -10,9 +10,9 @@
  python3-setuptools,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Homepage: https://www.anta.ninja
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/anta
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/anta
+Homepage: https://anta.arista.com
+Vcs-Browser: https://forgejo.debian.net/arista/anta
+Vcs-Git: https://forgejo.debian.net/arista/anta
 
 Package: python3-anta
 Section: python

## anta 1.3.0

=== debian/changelog ===
anta (1.3.0-2) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:37:29 +0200

anta (1.3.0-1) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Merging upstream version 1.3.0.
  * Updating year in upstream copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Mar 2025 07:34:09 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://anta.arista.com
 Vcs-Browser: https://forgejo.debian.net/arista/anta
 Vcs-Git: https://forgejo.debian.net/arista/anta

=== debian/watch ===
version=4
https://github.com/aristanetworks/anta/tags .*/v?(\d.*)@ARCHIVE_EXT@

## anta 1.4.0

=== debian/changelog ===
anta (1.4.0-2) sid; urgency=medium

  * Adding upstream metadata.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 20:46:30 +0200

anta (1.4.0-1) experimental; urgency=medium

  * Merging upstream version 1.4.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 15 May 2025 09:34:40 +0200

## anta 1.5.0

=== debian/changelog ===
anta (1.5.0-1) sid; urgency=medium

  * Updating homepage field.
  * Merging upstream version 1.5.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 15 Sep 2025 07:59:46 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-setuptools,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Homepage: https://anta.arista.com
+Homepage: https://github.com/aristanetworks/anta
 Vcs-Browser: https://forgejo.debian.net/arista/anta
 Vcs-Git: https://forgejo.debian.net/arista/anta

## anta 1.6.0

=== debian/changelog ===
anta (1.6.0-1) sid; urgency=medium

  * Updating watch file to version 5.
  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 1.6.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 25 Oct 2025 08:08:09 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/aristanetworks/anta
 Vcs-Browser: https://forgejo.debian.net/arista/anta

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=anta

%:
	dh ${@} --buildsystem=pybuild

override_dh_auto_test:
	# TODO: needs additional depends

=== debian/watch ===
Version: 5

Template: Github
Owner: aristanetworks
Project: @PACKAGE@

## anta 1.7.0

=== debian/changelog ===
anta (1.7.0-2) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Updating debian copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Sun, 08 Feb 2026 10:36:46 +0100

anta (1.7.0-1) sid; urgency=medium

  * Merging upstream version 1.7.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 22 Dec 2025 06:44:45 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/aristanetworks/anta
 Vcs-Browser: https://forgejo.debian.net/arista/anta
 Vcs-Git: https://forgejo.debian.net/arista/anta
